## Engauge Digitizer - Command Line Options

Engauge Digitizer accepts many command line options, and one environment variable, for more flexibility and power.

# Startup
-import FILE | Automatically import the specified image file at startup. Image files may also be imported manually using the menu
-open FILE | Automatically open the specified Engauge Digitizer document file at startup. Document files may also be opened manually using the menu
-help | Display a list of command line options with some brief comments, and then exit
-manual DIRECTORY | Look for the user manual in the specified directory. If Engauge Digitizer is run in a directory other than the installation directory, then the user manual directory must be specified using either this command line option or the ENGAUGE_USERMANUAL environment variable.
-axes XMIN XMAX YMIN YMAX | Scan the imported file at startup, and locate the X and Y axes. Then digitize axis points assuming the X axis ranges from XMIN to XMAX, and the Y axis ranges from YMIN to YMAX. The X axis is assumed to be near the bottom of the image, and the Y axis is assumed to be on the left side of the image. For speed, no attempt to rotate the image if it is sideways, so the digitized points may require adjustment. This feature should be useful when using Perl or other scripts to digitize many images with known axes ranges. The axis points may also be digitized manually using the Digitize Axis Points mode
-lazysegments | Postpone scanning for segments that is normally performed during startup, until either the Segments dialog is used, or the Segment Fill button is selected.
# Shutdown
-export FILE | Automatically export the active document at shutdown. Documents may also be exported manually using the menu.
# Settings
-reset | Reset all settings to the factory defaults. This option is a fast and easy way to restore all settings to a useful configuration, especially when there are problems with one or more settings.
-text | Load settings from a text file at startup, and save settings to the same text file when done, rather than use the Windows registry. That text file will be C:\Documents and Settings\All Users\Application Data\engaugerc in Windows XP, and C:\Windows\All Users\Application Data\engaugerc in Windows 98 and ME. Note that the Application Data directory may be hidden, so although it will not appear when a simple 'dir' command is used, you can still go into that directory using 'cd Application Data'. This option has no effect in Linux and Unix because the settings are always stored in a text file such as $HOME/.qt/engaugerc.
# Internationalization
-onlybmp | Import all images as bitmap (BMP) files. This is a fix for Chinese Windows.
# Debugging
-pixels | Show cursor location in pixel coordinates rather than graph coordinates
-ctor | Trace constructor calls
-dtor | Trace destructor calls
-curvecmb | Trace curve combobox operations
-measurecmb | Trace measure combobox operations
-refresh | Trace screen refreshes
-scanning | Trace image scanning
# Environment variables
ENGAUGE_BROWSER | To start up the date/time converter from within Engauge Digitizer, this environment variable must be set to the shell command that runs a javascript-capable browser. This environment variable is not used in Microsoft Windows. Examples are 'firefox', 'konqueror', ...
ENGAUGE_USERMANUAL | If set, this specifies the directory containing the user manual. This option, like the '-manual' command line option, is used when running Engauge Digitizer in a directory other than the installation directory.